<div class="flex flex-column pt-8">
  <div class="text-center uppercase text-3xl font-bold underline mb-8">
    TÉR státusz
  </div>
  <div class="flex align-items-center justify-content-center">
    <p-toast></p-toast>
    <p-table [value]="terDataDtos">
      <ng-template pTemplate="header">
        <tr>
          <th pSortableColumn="userName">Név</th>
          <th>Publikáció</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th>Kutatási tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th>Oktatás tmáogató tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th>Egyéni tevékenység</th>
          <th style="width: 5rem">Súlyozás (%)</th>
          <th pSortableColumn="status">Státusz</th>
          <th style="width: 5rem"></th>
          <th style="width: 5rem"></th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-product>
        <tr>
          <td>{{ product.name }}</td>
          <td>{{ product.pub }}</td>
          <td>{{ product.pubValue }}</td>
          <td>{{ product.search }}</td>
          <td>{{ product.searchValue }}</td>
          <td>{{ product.teach }}</td>
          <td>{{ product.teachValue }}</td>
          <td>{{ product.plusz }}</td>
          <td>{{ product.pluszValue }}</td>
          <td>
            <p-tag [value]="getStatuszValue(product.status)" [severity]="getStatusz(product.status)"></p-tag>
          </td>
          <td>
            <button *ngIf="product.status !== 'REJECT' && product.status !== 'ACCEPT'" type="button" pButton pRipple
                    icon="pi pi-check"
                    (click)="selectAction(product, 'accept')"></button>
          </td>
          <td>
            <button *ngIf="product.status !== 'REJECT' && product.status !== 'ACCEPT'" type="button" pButton pRipple
                    icon="pi pi-times"
                    (click)="selectAction(product, 'reject')"></button>
          </td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
